> ## Documentation Index
> Fetch the complete documentation index at: https://servo.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List robot fleets



## OpenAPI

````yaml /api-reference/openapi.json get /v1/fleets
openapi: 3.1.0
info:
  title: Servo Public API
  version: 0.1.0
  description: >-
    Hosted robot policy API for robot inventory, models, deployments, and
    fleets.
servers: []
security:
  - bearerAuth: []
paths:
  /v1/fleets:
    get:
      tags:
        - fleets
      summary: List robot fleets
      operationId: list__v1_fleets_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/FleetView'
                type: array
                title: Response List  V1 Fleets Get
      security:
        - bearerAuth: []
components:
  schemas:
    FleetView:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        subject:
          type: string
          title: Subject
        readiness_mode:
          $ref: '#/components/schemas/ReadinessMode'
        peak_active_robots:
          type: integer
          minimum: 1
          title: Peak Active Robots
        status:
          $ref: '#/components/schemas/FleetStatus'
        blocker:
          anyOf:
            - type: string
            - type: 'null'
          title: Blocker
        readiness_estimate:
          anyOf:
            - $ref: '#/components/schemas/ReadinessEstimate'
            - type: 'null'
        robots:
          $ref: '#/components/schemas/FleetRobotCounts'
        active_model:
          anyOf:
            - $ref: '#/components/schemas/FleetModelGenerationView'
            - type: 'null'
        update:
          anyOf:
            - $ref: '#/components/schemas/FleetUpdateView'
            - type: 'null'
      additionalProperties: false
      type: object
      required:
        - id
        - name
        - subject
        - readiness_mode
        - peak_active_robots
        - status
        - robots
      title: FleetView
    ReadinessMode:
      type: string
      enum:
        - always_ready
        - scheduled
        - on_demand
      title: ReadinessMode
    FleetStatus:
      type: string
      enum:
        - preparing
        - ready
        - degraded
        - blocked
      title: FleetStatus
    ReadinessEstimate:
      properties:
        lower_seconds:
          type: integer
          minimum: 0
          title: Lower Seconds
        upper_seconds:
          type: integer
          minimum: 0
          title: Upper Seconds
        updated_at:
          type: string
          format: date-time
          title: Updated At
      additionalProperties: false
      type: object
      required:
        - lower_seconds
        - upper_seconds
        - updated_at
      title: ReadinessEstimate
    FleetRobotCounts:
      properties:
        registered:
          type: integer
          minimum: 0
          title: Registered
        ready:
          type: integer
          minimum: 0
          title: Ready
        active:
          type: integer
          minimum: 0
          title: Active
        waiting:
          type: integer
          minimum: 0
          title: Waiting
        blocked:
          type: integer
          minimum: 0
          title: Blocked
      additionalProperties: false
      type: object
      required:
        - registered
        - ready
        - active
        - waiting
        - blocked
      title: FleetRobotCounts
    FleetModelGenerationView:
      properties:
        subject:
          type: string
          title: Subject
        generation_id:
          type: string
          title: Generation Id
        status:
          type: string
          title: Status
      additionalProperties: false
      type: object
      required:
        - subject
        - generation_id
        - status
      title: FleetModelGenerationView
    FleetUpdateView:
      properties:
        subject:
          type: string
          title: Subject
        generation_id:
          type: string
          title: Generation Id
        status:
          type: string
          title: Status
        blocker:
          anyOf:
            - type: string
            - type: 'null'
          title: Blocker
      additionalProperties: false
      type: object
      required:
        - subject
        - generation_id
        - status
      title: FleetUpdateView
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Servo organization API key
      description: >-
        Organization API key (`sk_servo_...`) or authenticated CLI session
        token.

````